File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes EJB and other Java EE Technologies and the fly likes javax.ejb.EJBObject cannot resolved in Eclipse Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Murach's Java Servlets and JSP this week in the Servlets forum!
JavaRanch » Java Forums » Java » EJB and other Java EE Technologies
Bookmark "javax.ejb.EJBObject cannot resolved in Eclipse" Watch "javax.ejb.EJBObject cannot resolved in Eclipse" New topic
Author

javax.ejb.EJBObject cannot resolved in Eclipse

Sara Lee
Greenhorn

Joined: Sep 13, 2005
Posts: 12
Hi,
I have just started building my first EJB bean using Eclipse and Tomcat Server and have a problem in building my Remote Interface. The Eclipse IDE cannot resolve javax.ejb package. Can anybody point me to what I may be doing wrong? Other than this, I have been able to develop servlets and jsp pages without any issue. I probably should add something to my classpath but am not sure what else I need to do.

Thanks in advance!


SCJP 1.4, SCWCD 1.4
Pradeep bhatt
Ranch Hand

Joined: Feb 27, 2002
Posts: 8903

Have you imported the javax.ejb package into your project?


Groovy
Kunaal A Trehan
Ranch Hand

Joined: Feb 04, 2004
Posts: 63
Hi

Put j2ee.jar or weblogic.jar in the classpath

It shd work

Kunal
Sara Lee
Greenhorn

Joined: Sep 13, 2005
Posts: 12
Hi Kunal,
I am using tomcat server and hence don't have j2ee.jar or weblogic.jar in my system. Is there a corresponding jar file for tomcat that I can use?

Appreciate your help!
Dave Salter
Ranch Hand

Joined: Jul 20, 2005
Posts: 292

You can't develop EJB's in Tomcat. Its a Servlet/JSP container only. Have a look at a product like JBoss if you want to develop EJBs.
Sara Lee
Greenhorn

Joined: Sep 13, 2005
Posts: 12
Thanks so much Dave! I was beginning to wonder on the same lines and had just downloaded JBoss.

I appreciate everyone's help in this issue!
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: javax.ejb.EJBObject cannot resolved in Eclipse
 
Similar Threads
Make ant use 1.4 version of java! Tried by setting java home to 1.4 but in vain
I've downloaded eclipse for linux. Now how do I start it?
How can I find brackets match in eclipse
Netbeans or Eclipse
Unable to create a servlet in eclipse IDE?